Package it.ernytech.tdlib

## Class TdApi.InputMessageContent

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent

Direct Known Subclasses:
  `TdApi.InputMessageAnimation`, `TdApi.InputMessageAudio`, `TdApi.InputMessageContact`, `TdApi.InputMessageDocument`, `TdApi.InputMessageForwarded`, `TdApi.InputMessageGame`, `TdApi.InputMessageInvoice`, `TdApi.InputMessageLocation`, `TdApi.InputMessagePhoto`, `TdApi.InputMessageSticker`, `TdApi.InputMessageText`, `TdApi.InputMessageVenue`, `TdApi.InputMessageVideo`, `TdApi.InputMessageVideoNote`, `TdApi.InputMessageVoiceNote`

Enclosing class:
  TdApi

    public abstract static class TdApi.InputMessageContent
    extends TdApi.Object

This class is an abstract base class. The content of a message to send.

### Constructor Summary

Constructors
`InputMessageContent()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### InputMessageContent

    public InputMessageContent()